<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cobs/cobs_decode.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6fbc84a0760eaea03445dd1babf55b48.html">cobs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">cobs_decode.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cobs__decode_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef COBS_DECODE_H</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define COBS_DECODE_H</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="structcobs__decode.html">   18</a></span>&#160;    <span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structcobs__decode.html">cobs_decode</a></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    {</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structcobs__decode.html#abe222f6d3581e7920dcad5306cc906a8">   20</a></span>&#160;        uint8_t* <a class="code" href="structcobs__decode.html#abe222f6d3581e7920dcad5306cc906a8">data</a>;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structcobs__decode.html#a62b594cf8c0c23d9ddc89a92db771fd2">   21</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__decode.html#a62b594cf8c0c23d9ddc89a92db771fd2">length</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structcobs__decode.html#a30016ca6471f6baaff2f106ec2d6378a">   22</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__decode.html#a30016ca6471f6baaff2f106ec2d6378a">index</a>;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="structcobs__decode.html#a66b221051ad55f3d31c76c1e5b895298">   23</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__decode.html#a66b221051ad55f3d31c76c1e5b895298">next_stuff_index</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    } <a class="code" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="cobs__decode_8h.html#a981862ddf5a4346648e0b7ac6625172b">cobs_decode_init</a>(<a class="code" href="structcobs__decode.html">cobs_decode_t</a>* cobs, uint8_t* <a class="code" href="structcobs__decode.html#abe222f6d3581e7920dcad5306cc906a8">data</a>,</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;                          uint_fast32_t <a class="code" href="structcobs__decode.html#a62b594cf8c0c23d9ddc89a92db771fd2">length</a>);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    int_fast16_t <a class="code" href="cobs__decode_8h.html#a20ca2414fb48b4770aa674035ba42e83">cobs_decode_get_next</a>(<a class="code" href="structcobs__decode.html">cobs_decode_t</a>* cobs);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="cobs__decode_8h_html_a981862ddf5a4346648e0b7ac6625172b"><div class="ttname"><a href="cobs__decode_8h.html#a981862ddf5a4346648e0b7ac6625172b">cobs_decode_init</a></div><div class="ttdeci">void cobs_decode_init(cobs_decode_t *cobs, uint8_t *data, uint_fast32_t length)</div><div class="ttdef"><b>Definition:</b> cobs_decode.c:7</div></div>
<div class="ttc" id="structcobs__decode_html"><div class="ttname"><a href="structcobs__decode.html">cobs_decode</a></div><div class="ttdef"><b>Definition:</b> cobs_decode.h:18</div></div>
<div class="ttc" id="structcobs__decode_html_abe222f6d3581e7920dcad5306cc906a8"><div class="ttname"><a href="structcobs__decode.html#abe222f6d3581e7920dcad5306cc906a8">cobs_decode::data</a></div><div class="ttdeci">uint8_t * data</div><div class="ttdef"><b>Definition:</b> cobs_decode.h:20</div></div>
<div class="ttc" id="cobs__decode_8h_html_a6e4e5ba312d480c16b6ed893aeb7e180"><div class="ttname"><a href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a></div><div class="ttdeci">struct cobs_decode cobs_decode_t</div></div>
<div class="ttc" id="structcobs__decode_html_a30016ca6471f6baaff2f106ec2d6378a"><div class="ttname"><a href="structcobs__decode.html#a30016ca6471f6baaff2f106ec2d6378a">cobs_decode::index</a></div><div class="ttdeci">uint_fast32_t index</div><div class="ttdef"><b>Definition:</b> cobs_decode.h:22</div></div>
<div class="ttc" id="structcobs__decode_html_a66b221051ad55f3d31c76c1e5b895298"><div class="ttname"><a href="structcobs__decode.html#a66b221051ad55f3d31c76c1e5b895298">cobs_decode::next_stuff_index</a></div><div class="ttdeci">uint_fast32_t next_stuff_index</div><div class="ttdef"><b>Definition:</b> cobs_decode.h:23</div></div>
<div class="ttc" id="cobs__decode_8h_html_a20ca2414fb48b4770aa674035ba42e83"><div class="ttname"><a href="cobs__decode_8h.html#a20ca2414fb48b4770aa674035ba42e83">cobs_decode_get_next</a></div><div class="ttdeci">int_fast16_t cobs_decode_get_next(cobs_decode_t *cobs)</div><div class="ttdef"><b>Definition:</b> cobs_decode.c:33</div></div>
<div class="ttc" id="structcobs__decode_html_a62b594cf8c0c23d9ddc89a92db771fd2"><div class="ttname"><a href="structcobs__decode.html#a62b594cf8c0c23d9ddc89a92db771fd2">cobs_decode::length</a></div><div class="ttdeci">uint_fast32_t length</div><div class="ttdef"><b>Definition:</b> cobs_decode.h:21</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
